<?php
/**
 * Roundcube Plus xframework plugin
 *
 * Copyright 2016, Tecorama LLC.
 *
 * @license Commercial. See the file LICENSE for details.
 */

require_once(__DIR__ . "/../common/Test.php");
require_once(__DIR__ . "/../common/Data.php");

class DataTest extends XFramework\Test
{
    public function testAll()
    {
        xdata()->set("test_key", "test_data");
        $this->assertEquals(xdata()->get("test_key"), "test_data");
        $this->assertTrue(xdata()->has("test_key"));
        $this->assertFalse(xdata()->has("test_key2"));
    }
}